
# This file is part of Solarflare SolarCapture.
# 
# Copyright 2012-2017  Solarflare Communications Inc.
#                      7505 Irvine Center Drive, Irvine, CA 92618, USA
# 
# Proprietary and confidential.  All rights reserved.
# 
# Please see LICENSE.txt included in this distribution for terms of use.

# This is replaced by the export script
%define pkgversion 1.6.6.12

%{!?pkgrelease: %{expand: %%define pkgrelease 0}}

Name:           solar_capture-python
Version:        %(echo '%{pkgversion}' | sed 's/-/_/g')
Release:        %{pkgrelease}
Summary:        SolarCapture packet capture utility libraries
Group:          Applications/Internet
License:        Various
URL:            http://www.solarflare.com/
Vendor:         Solarflare
Source0:        %{name}-%{pkgversion}.tgz
BuildRoot:      %{_builddir}/%{name}-root
BuildRequires:  gcc make python-devel
BuildRequires:  solar_capture-core = %{version}-%{release}
Requires:       solar_capture-core = %{version}-%{release}
Provides:       solar_capture-python = %{pkgversion}-%{release}

# Do not build debuginfo package
%define  debug_package %{nil}

%description
This package provides the python bindings and example applications for
SolarCapture, a high performance packet capture and processing utility
from Solarflare.

%prep
%setup -n %{name}-%{pkgversion}

%build
make -C src                                     \
    SC_INCLUDE=%{SC_INCLUDE}                    \
    SC_LIBRARY=%{SC_LIBRARY}                    \
    STRIP_LIBS=1                                \
    SC_RPM_BUILD=1                              \
    all_python

%install
make -C src                                     \
    SC_INCLUDE=%{SC_INCLUDE}                    \
    SC_LIBRARY=%{SC_LIBRARY}                    \
    STRIP_LIBS=1                                \
    SC_RPM_BUILD=1                              \
    BIN_DIR=%{_bindir}                          \
    DOC_DIR=%{_defaultdocdir}                   \
    PY_SITE_DIR=%{python_sitelib}               \
    DESTDIR=$RPM_BUILD_ROOT                     \
    install_python

# Byte-compile the python before packaging
[ -x /usr/lib/rpm/brp-python-bytecompile ] && /usr/lib/rpm/brp-python-bytecompile

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/solar_*
%{python_sitelib}/*
%{_defaultdocdir}/*
